<?php

use Illuminate\Http\Request;

/*
地址前缀：/apiLocal/
*/
Route::post('rejected/recoverSelected', 'RejectedController@apiRecoverSelected');
Route::post('owner/restoreSelected', 'OwnerController@restoreSelected');
Route::post('rejectedBillItem/store', 'RejectedBillItemController@apiStore');
Route::post('rejectedBillItem/update', 'RejectedBillItemController@apiUpdate');
Route::post('rejectedBillItem/apiGet', 'RejectedBillItemController@apiGet');
Route::post('rejectedBillItem/apiDelete', 'RejectedBillItemController@apiDelete');
Route::post('rejectedBillItem/packConfirm', 'RejectedBillItemController@apiPackConfirm');
Route::post('rejectedBillItem/packDestroy', 'RejectedBillItemController@apiPackDestroy');
Route::post('rejectedBill/store', 'RejectedBillController@apiStore');
Route::post('rejectedBill/update', 'RejectedBillController@apiUpdate');
Route::post('rejectedBill/apiGetRecent', 'RejectedBillController@apiGetRecent');
Route::post('rejectedBill/apiSetIsLoadedAll', 'RejectedBillController@apiSetIsLoadedAll');
Route::post('rejectedBill/apiConfirmBeStored', 'RejectedBillController@apiConfirmBeStored');
Route::post('rejectedBill/seekOrder','RejectedBillController@seekOrder');

Route::post('logistic/numberFeatures/computeLogisticByNumber', 'LogisticNumberFeatureController@apiComputeLogisticByNumber');
Route::post('logistic/logisticNumberReturnIsUnique', 'RejectedBillController@apiLogisticNumberReturnIsUnique');

Route::post('commodity/getCommodityByBarcode', 'CommodityController@apiGetCommodityByBarcode');

Route::post('waybill/recoverSelected', 'WaybillController@apiRestoreSelected');
Route::post('waybill/changeFee', 'WaybillController@changeFee');
Route::post('waybill/changeCharge', 'WaybillController@changeCharge');

Route::post('rejectedBill/getRejectedByLogisticNumberReturn','RejectedBillItemController@apiGetRejectedByLogisticNumberReturn');
Route::group(['prefix'=>'order'],function(){
    Route::post('issue/onTop/store','OrderIssueOnTopController@apiStore');
    Route::post('issue/onTop/cancelTop','OrderIssueOnTopController@apiDestroy');
    Route::post('issue/update','OrderIssueController@apiUpdate');
    Route::post('issue/destroy','OrderIssueController@apiDestroy');
    Route::post('issue/orderIssueTag','OrderIssueController@apiOrderIssueTag');
    Route::post('issue/log/store','OrderIssueProcessLogController@apiStore');
    Route::post('issue/log/destroy','OrderIssueProcessLogController@apisDestroy');
    Route::post('issue/disposeOrderIssue','OrderIssueController@apiDisposeOrderIssue');
    Route::post('issue/endOrderIssue','OrderIssueController@apiEndOrderIssue');
    Route::post('issue/orderIssueHasCreate','OrderIssueController@apiOrderIssueHasCreate');
    Route::post('issue/getOrderInfoByWMSOrderNo','OrderIssueController@apiGetOrderInfoByWMSOrderNo');
});
